<template>
  <div class="grid gap-0 vh-100">
    <div class="sidebar-container col-2 d-none d-lg-block" :class="{ 'col-lg-1': !showSidebar }">
      <Sidebar :showSidebar="showSidebar" />
    </div>

    <div class="col-12 col-lg-10" :class="{ 'col-lg-11': !showSidebar }">
      <div class="grid gap-0 main-layout">
        <div class="header-container col-12">

        </div>

        <div class="content-container col-12">
          <div class="container">
            <Child />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Sidebar from '../components/Sidebar'
import Checkbox from '../components/Checkbox'
import Child from '../components/Child'
import BackendNavbar from '~/components/BackendNavbar'
import { mapGetters } from 'vuex'

export default {
  name: 'MainLayout',
  middleware: ['auth', 'admin'],
  components: {
    Sidebar,
    Checkbox,
    Child,
    BackendNavbar
  },
  computed: mapGetters({
    showSidebar: 'sidebar/showSidebar'
  }),
  methods: {
    async logout() {
      // Log out the user.
      await this.$store.dispatch('auth/logout')

      // Redirect to login.
      this.$router.push({ name: 'login' })
    }
  }
}
</script>
